from Products.CMFCore.utils import getToolByName
import transaction
from zope.component import getUtility, getAdapters, getMultiAdapter, getSiteManager
from plone.portlets.interfaces import IPortletManager

EXTENSION_PROFILES = ('Solgema.PortletsManager:default',)

def install(portal, reinstall=False):

    portal_quickinstaller = getToolByName(portal, 'portal_quickinstaller')
    portal_setup = getToolByName(portal, 'portal_setup')

    if not reinstall :
        leftColumn = getUtility(IPortletManager, name=u'plone.leftcolumn', context=portal)
        rightColumn = getUtility(IPortletManager, name=u'plone.rightcolumn', context=portal)
        leftColumn.listAllManagedPortlets = []
        rightColumn.listAllManagedPortlets = []

    for extension_id in EXTENSION_PROFILES:
        portal_setup.runAllImportStepsFromProfile('profile-%s' % extension_id, purge_old=False)
        product_name = extension_id.split(':')[0]
        portal_quickinstaller.notifyInstalled(product_name)
        transaction.savepoint()

def uninstall(portal):
    setup_tool = getToolByName(portal, 'portal_setup')
    setup_tool.runAllImportStepsFromProfile('profile-Solgema.PortletsManager:uninstall')
    return "Imported uninstall profile."


